# MTSCRA Class Methods - 21 - 30

#### getDeviceName

Get device model name.

```
public String getDeviceName()
```

Parameters: None&#x20;

Return Value:

Return device model name.

#### clearBuffers <a href="#id-3.22_clearbuffers" id="id-3.22_clearbuffers"></a>

Clears buffered data retrieved from the reader.&#x20;

```
public void clearBuffers() Parameters: None
```

Return Value: None

#### getBatteryLevel <a href="#id-3.23_getbatterylevel" id="id-3.23_getbatterylevel"></a>

Retrieves battery level.

```
public long getBatteryLevel()
```

Parameters: None&#x20;

Return Value:

Battery Level (0 to 100)

#### getSwipeCount <a href="#id-3.24_getswipecount" id="id-3.24_getswipecount"></a>

Retrieves swipe count.

```
public long getSwipeCount()
```

Parameters: None&#x20;

Return Value:

Long value representing swipe count.

#### getCapMagnePrint <a href="#id-3.25_getcapmagneprint" id="id-3.25_getcapmagneprint"></a>

Retrieves MagnePrint capabilities.

```
public String getCapMagnePrint()
```

Parameters: None&#x20;

Return Value:

String representing MagnePrint capabilities:

* 0 = No MagnePrint,
* 1 = Short MagnePrint,
* 2 = Long MagnePrint

#### getCapMagnePrintEncryption <a href="#id-3.26_getcapmagneprintencryption" id="id-3.26_getcapmagneprintencryption"></a>

Retrieves MagnePrint Encryption capabilities.

```
public String getCapMagnePrintEncryption()
```

Parameters: None Return Value:

String representing MagnePrint Encryption capabilities:

* 0 = No Encryption,
* 1 = Same as MagStripe (8122), other values TBD.
* If absent, default value is 1.

#### getCapMagneSafe20Encryption <a href="#id-3.27_getcapmagnesafe20encryption" id="id-3.27_getcapmagnesafe20encryption"></a>

Retrieves MagneSafe 2.0 Encryption capabilities.

```
public String getCapMagneSafe20Encryption()
```

Parameters: None&#x20;

Return Value:

String representing MagneSafe 2.0 Encryption capabilities. 0 = Not supported, other values TBD.

#### getCapMagStripeEncryption <a href="#id-3.28_getcapmagstripeencryption" id="id-3.28_getcapmagstripeencryption"></a>

Retrieves MagneStripe Encryption capabilities.

```
public String getCapMagStripeEncryption()
```

Parameters: None&#x20;

Return Value:

String representing MagStripe Encryption capabilities. 0 = No Encryption, 1 = TDES DUKPT / PIN Variant, other values TBD

#### getCapMSR <a href="#id-3.29_getcapmsr" id="id-3.29_getcapmsr"></a>

Retrieves MSR capabilities.&#x20;

```
public String getCapMSR() Parameters: None
```

Return Value:

String representing MSR capabilities. 0 = No MSR, 1 = MSR.

#### getCapTracks <a href="#id-3.30_getcaptracks" id="id-3.30_getcaptracks"></a>

Retrieves Track capabilities.

```
public String getCapTracks()
```

Parameters: None Return Value:

String representing Track capabilities:

* Bit 0 = 1 / Track 1 supported,
* Bit 1 = 1 / Track 2 supported,
* Bit 2 = 1 / Track 3 supported,
* All other bits = 0.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-android/mtscra-class-methods/mtscra-class-methods-21-30.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
